********************************************************************/
*                                                                  */
* Program name: AMQSLNK0                                           */
*                                                                  */
* Description: Sample MQSC source defining MQM queues              */
*              Can be processed, with changes as needed, after     */
*              starting the MQM                                    */
*                                                                  */
* Statement:     Licensed Materials - Property of IBM              */
*                                                                  */
*                33H2205, 5622-908                                 */
*                33H2267, 5765-623                                 */
*                29H0990, 5697-176                                 */
*                (C) Copyright IBM Corp. 1994, 1995                */
*                                                                  */
*                                                                  */
********************************************************************/
* Function:                                                        */
*                                                                  */
*                                                                  */
*   AMQSLNK0 is a sample MQSC file to create or reset the          */
*   MQI resources of the Message Queue Manager (MQM).              */
*   It includes the following.                                     */
*                                                                  */
*                                                                  */
*      -- A definition of the queues required for the sample       */
*         Lotus Notes link program $MQLINK.EXE or $mqlink          */
*                                                                  */
*   This file, or a similar one, can be processed when the MQM     */
*   is started - it creates the objects if missing, or resets      */
*   their attributes to the prescribed values.                     */
*                                                                  */
*   e.g.                                                           */
*   runmqsc qmgrname <amqslnk0.tst                                 */
*                                                                  */
*                                                                  */
*   Note:- You must have set up the defaults first, for example    */
*   runmqsc qmgrname <d:\mqm\mqsc\amqscoma.tst      or             */
*   runmqsc qmgrname < /opt/mqm/samp/amqscoma.tst                  */
*                                                                  */
********************************************************************/

********************************************************************/
*                                                                  */
*   AMQSLNK0 is sample data for the MQSC utility                   */
*                                                                  */
********************************************************************/
	
	
********************************************************************/
*       Default Input Queue                                        */
*                                                                  */
********************************************************************/
    DEFINE QLOCAL('SYSTEM.SAMPLE.NOTES.INQUEUE') REPLACE +
	
*   Queue description
	   DESCR('Input')   +
*   Put operations allowed
	   PUT(ENABLED)     +
*   Default priority
	   DEFPRTY(0)       +
*   Default non-persistent
	   DEFPSIST(NO)     +
*   Get operations allowed
	   GET(ENABLED)
	
********************************************************************/
*       Default Work Queue                                         */
*                                                                  */
********************************************************************/
    DEFINE QLOCAL('SYSTEM.NOTES.WORKQUEUE') REPLACE +
	
*   Queue description
	   DESCR('Work') +
*   Put operations allowed
	   PUT(ENABLED)       +
*   Default priority
	   DEFPRTY(0)         +
*   Default non-persistent
	   DEFPSIST(NO)       +
*   Get operations allowed
	   GET(ENABLED)

********************************************************************/
*       Default reply Queue                                        */
*                                                                  */
********************************************************************/
    DEFINE QLOCAL('SYSTEM.SAMPLE.NOTES.OUTQUEUE') REPLACE +
	
*   Queue description
	   DESCR('Reply') +
*   Put operations allowed
	   PUT(ENABLED)       +
*   Default priority
	   DEFPRTY(0)         +
*   Default non-persistent
	   DEFPSIST(NO)       +
*   Get operations allowed
	   GET(ENABLED)

	
************** END of AMQSLNK0.TST *********************************/

